import React from 'react';
import { render } from 'react-dom';
import ApolloTable from '../apollo-table';
import Data from './data';

const { cols, list } = Data;
const rowStyle = ({ index, record }) => {
    const style: any = {};
    if (index % 3 === 0) {
        style.background = 'red';
    }
    return style;
};
render(
    <ApolloTable rowStyle={rowStyle} columns={cols} dataSource={list} tableId={1} />,
    document.getElementById('root'),
);
